<template>
  <div class="flex flex-col h-screen w-full">
    <div class="flex flex-row items-center shadow">
      <img class="ml-4 h-10 w-auto"
           src="https://cdn1.iconfinder.com/data/icons/ui-22/24/502-512.png" alt="Seven"
           @click="toggleSidebar()"
      >
      <div class="w-full min-h-[80px] flex items-center px-[30px] text-2xl font-medium capitalize">
        {{router.currentRoute.value.name}}
      </div>
    </div>
    <div class="overflow-y-auto h-full w-full p-5">
      <router-view />
    </div>
  </div>
</template>

<script setup>
import {useRouter} from "vue-router";
import {nextTick, watch} from "vue";

const router = useRouter()
// silly sidebar hide in order to avoid to install pinia
let showSidebar = false

watch(router.currentRoute, (value, oldValue, onCleanup) => {
  nextTick().then(() => {
    const hash = value.hash.substring(1)

    if (hash) {
      const element = document.getElementById(hash);
      if (element) {
        element.scrollIntoView({ behavior: 'smooth' });
      }
    }
  })
})

const toggleSidebar = () => {
  if (!showSidebar)
    document.querySelector('#seven-sidebar').classList.remove('hidden')
  else
    document.querySelector('#seven-sidebar').classList.add('hidden')

  showSidebar = !showSidebar
}
</script>

<style scoped>

</style>